/* Herramientas para el trabajo con matrices */

#include <stdio.h>

typedef float elem;
typedef elem *vector;
typedef vector *matriz;

#ifndef Err
#define Err(msg)	{ \
                          fprintf(stderr, "Error:%s.",msg);\
                          exit(-1);\
                        }
#endif

/* void Err (char *msg); */

vector reserva_vector(unsigned n);

matriz reserva_matriz(unsigned m, unsigned n);

void libera_vector( vector v);

void libera_matriz (unsigned m, matriz mat);

unsigned lee_matriz (FILE *fd, unsigned m, unsigned n, matriz mat);

void escribe_matriz (FILE *fd, unsigned m, unsigned n, matriz mat);
