# Spript para visualizar test de sangers mediante gnuplot(1)
#

# Visualizamos los patrones generados
splot [-8:8] [-8:8] [-8:8] "test.pat"
pause mouse "Pinche el ratón para continuar "


# Dibujarmos la evolución del MSE de reconstrucción durante entrenamiento
set xlabel "Ciclos"
set ylabel "MSERec"
plot "< grep 'MSERec (' test.log | cut -d: -f2" title "MSE reconstruido"
pause mouse "Pinche el ratón para continuar "
set xlabel ""
set ylabel ""

# Visualizamos los patrones reconstruidos
splot [-8:8] [-8:8] [-8:8] "test_rec.pat"
pause mouse "Pinche el ratón para finalizar "

